Subject: Books on Central/South American Plants ??

From: [email-masked] (Giovanni Resta)
Date: Thu, 15 Jun 1995 17:31:04 +0200

Hi all,
I have the following problem.
Since I like to give a try to plants from far (from Italy)
countries, I also like to buy related pictorial books that help me
in choosing the seeds to order.

I had no problem in buy (from my German (Koeltz) and 
British (NHBS) booksuppliers)
books on North American, Australian or African plants at 
affordable price (in general less than, say, 60-80$) with a lot of
color photos.

However I was not able to locate any AFFORDABLE pictorial book
on Mexican or Central/South American plants.
Can anyone suggest me some books?
The language I prefer is English, but, being italian, 
I'm not scared by French, Spanish, Portugues or Latin.

Thanks 
Giovanni.  [email-masked]